curl --request POST \
--url https://api.swarmd.ai/relay/v1/agents/{agentId}/a2a/0.3.0/tasks/{taskId}/pushNotificationConfigs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"headers": {},
"events": [
"<string>"
]
}
'{
"configId": "<string>",
"taskId": "<string>",
"url": "<string>",
"headers": {},
"events": [
"<string>"
]
}Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| AGENT | AGENT_CONVERSATIONS | WRITE | AGENT_CONVERSATIONS:WRITE |
curl --request POST \
--url https://api.swarmd.ai/relay/v1/agents/{agentId}/a2a/0.3.0/tasks/{taskId}/pushNotificationConfigs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"headers": {},
"events": [
"<string>"
]
}
'{
"configId": "<string>",
"taskId": "<string>",
"url": "<string>",
"headers": {},
"events": [
"<string>"
]
}JWT token (USER, AGENT, or SERVICE auth)